Update beneficiary bank account
curl --request PUT \
--url https://api.prod.payana.cloud/public/api/v1/beneficiaries/{reference}/bank-accounts/{bank_account_reference} \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"bank_reference": "9c2a8e3f-6b24-5fb2-a744-493750c7e1f4",
"account_number": "9999999999",
"account_type": "savings",
"account_recipient_name": "Acme Inc.",
"account_recipient_document_number": "112233449",
"account_recipient_document_type": "NIT"
}
'import requests
url = "https://api.prod.payana.cloud/public/api/v1/beneficiaries/{reference}/bank-accounts/{bank_account_reference}"
payload = {
"bank_reference": "9c2a8e3f-6b24-5fb2-a744-493750c7e1f4",
"account_number": "9999999999",
"account_type": "savings",
"account_recipient_name": "Acme Inc.",
"account_recipient_document_number": "112233449",
"account_recipient_document_type": "NIT"
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bank_reference: '9c2a8e3f-6b24-5fb2-a744-493750c7e1f4',
account_number: '9999999999',
account_type: 'savings',
account_recipient_name: 'Acme Inc.',
account_recipient_document_number: '112233449',
account_recipient_document_type: 'NIT'
})
};
fetch('https://api.prod.payana.cloud/public/api/v1/beneficiaries/{reference}/bank-accounts/{bank_account_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reference": "35034bf9-babf-45c1-b9d1-c7267e2e02f0",
"bank_reference": "9c2a8e3f-6b24-5fb2-a744-493750c7e1f4",
"bank_name": "Banco de Occidente",
"account_number": "9999999999",
"account_type": "savings",
"validation_status": "pending",
"account_recipient_name": "Acme Inc.",
"account_recipient_document_number": "112233449",
"account_recipient_document_type": "NIT",
"created_at": "2025-06-01T18:00:35.194+00:00",
"updated_at": "2025-06-02T10:12:00.000+00:00"
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}Beneficiaries
Update Beneficiary Bank Account
Actualiza la cuenta bancaria (bank account) de un beneficiario por referencia.
PUT
/
beneficiaries
/
{reference}
/
bank-accounts
/
{bank_account_reference}
Update beneficiary bank account
Authorizations
API key provista por Payana.
Path Parameters
Referencia del beneficiario (UUID).
Referencia de la cuenta bancaria (UUID).
Body
application/json
Bank account update payload (todos los campos son opcionales).
Response
Bank account updated
Referencia del banco (UUID).
Available options:
savings, checking Available options:
pending, processing, validated, rejected, validation_error Tipo de identificación (ej. NIT, CC, RFC).
⌘I